Subject: bug#18399: 24.4.50; nadvice :filter-args -vs- interactive

From: Tom Tromey <[email-masked]>
Date: Wed, 03 Sep 2014 16:27:39 -0600

Michael> According to the doc (of `add-function'), an filter-args advice
Michael> function has to accept exactly one argument (which is bound to
Michael> the list of given arguments).  So I think what you see is
Michael> expected.

Michael> I have stumbled over that behavior several times myself.

I looked at the docs again and I agree.  Sorry about the noise.  Perhaps
a note and/or a small example here would be nice for future users.  If
we were both fooled by this then perhaps others will be as well.

Tom